<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:14 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.math.operator.BooleanUnaryOperator
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.math.operator.BooleanUnaryOperator";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/operator/class-use/BooleanUnaryOperator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BooleanUnaryOperator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.math.operator.BooleanUnaryOperator</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.array"><B>ch.javasoft.math.array</B></A></TD>
<TD>The <tt>math.array</tt> package and subpackages contain interfaces and classes 
for generic vectors and matrices represented as arrays.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.array.impl"><B>ch.javasoft.math.array.impl</B></A></TD>
<TD>The <tt>math.array.impl</tt> package contains default implementations of the 
interfaces defined in the parent package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.operator"><B>ch.javasoft.math.operator</B></A></TD>
<TD>The <tt>math.operator</tt> package and subpackages contain interfaces and 
classes to support different generic operators for numbers as defined by the
<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array"><CODE>NumberOperators</CODE></A> interface.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.operator.impl"><B>ch.javasoft.math.operator.impl</B></A></TD>
<TD>The <tt>math.operator.impl</tt> package contains default implementations of the 
<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array"><CODE>NumberOperators</CODE></A> interface for 
different number types.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.varint.array"><B>ch.javasoft.math.varint.array</B></A></TD>
<TD>The <tt>math.varint.array</tt> package contains varint support for generic 
vectors and matrices represented as arrays (see <A HREF="../../../../../ch/javasoft/math/array/package-summary.html"><CODE>ch.javasoft.math.array</CODE></A>).&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.array"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A> in <A HREF="../../../../../ch/javasoft/math/array/package-summary.html">ch.javasoft.math.array</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/array/package-summary.html">ch.javasoft.math.array</A> that return <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="type parameter in NumberOperators">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NumberOperators.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#booleanUnary(ch.javasoft.math.operator.BooleanUnaryOperator.Id)">booleanUnary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanUnaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the boolean-unary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#isNegative()">isNegative</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a boolean operator performing</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#isNonNegative()">isNonNegative</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a boolean operator performing</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#isNonPositive()">isNonPositive</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a boolean operator performing</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#isNonZero()">isNonZero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a boolean operator performing</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#isOne()">isOne</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a boolean operator performing</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#isPositive()">isPositive</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a boolean operator performing</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#isZero()">isZero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a boolean operator performing</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/array/package-summary.html">ch.javasoft.math.array</A> with parameters of type <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#allBoolean(A[], ch.javasoft.math.operator.BooleanUnaryOperator)">allBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>[]&nbsp;matrix,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for all elements of <code>matrix</code>, and <code>false</code> otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#allBoolean(A[], int[], int[], ch.javasoft.math.operator.BooleanUnaryOperator)">allBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>[]&nbsp;matrix,
                     int[]&nbsp;rowIndices,
                     int[]&nbsp;colIndices,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for all of the specified elements of <code>matrix</code>, and <code>false</code> 
 otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#allBoolean(A, ch.javasoft.math.operator.BooleanUnaryOperator)">allBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&nbsp;v,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for all elements of vector <code>v</code>, and <code>false</code> otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#allBoolean(A, int[], ch.javasoft.math.operator.BooleanUnaryOperator)">allBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&nbsp;v,
                     int[]&nbsp;indices,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for all of the specified elements of vector <code>v</code>, and <code>false</code> 
 otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#allBooleanInColumn(A[], int, ch.javasoft.math.operator.BooleanUnaryOperator)">allBooleanInColumn</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>[]&nbsp;matrix,
                                     int&nbsp;col,
                                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for all column elements <code>matrix[*][col]</code>, and <code>false</code> 
 otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#allBooleanInDiagonal(A[], ch.javasoft.math.operator.BooleanUnaryOperator)">allBooleanInDiagonal</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>[]&nbsp;matrix,
                                         <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for all elements in the diagonal <code>matrix[i][i]</code> for 
 <code>0 &lt;= i &lt; min(#rows, #columns)</code>, and <code>false</code> otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#allBooleanInRange(A[], int, int, int, int, ch.javasoft.math.operator.BooleanUnaryOperator)">allBooleanInRange</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>[]&nbsp;matrix,
                                   int&nbsp;rowFrom,
                                   int&nbsp;rowTo,
                                   int&nbsp;colFrom,
                                   int&nbsp;colTo,
                                   <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for all elements in the row/column range 
 <code>matrix[rowFrom : rowTo-1][colFrom : colTo-1]</code>, and <code>false</code> 
 otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#allBooleanInRange(A, int, int, ch.javasoft.math.operator.BooleanUnaryOperator)">allBooleanInRange</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&nbsp;v,
                                   int&nbsp;from,
                                   int&nbsp;to,
                                   <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for all elements <code>v[from : to-1]</code> of vector <code>v</code>, and 
 <code>false</code> otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#allBooleanInRow(A[], int, ch.javasoft.math.operator.BooleanUnaryOperator)">allBooleanInRow</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>[]&nbsp;matrix,
                               int&nbsp;row,
                               <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for all row elements <code>matrix[row][*]</code>, and <code>false</code> otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#anyBoolean(A[], ch.javasoft.math.operator.BooleanUnaryOperator)">anyBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>[]&nbsp;matrix,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for any element of <code>matrix</code>, and <code>false</code> otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#anyBoolean(A[], int[], int[], ch.javasoft.math.operator.BooleanUnaryOperator)">anyBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>[]&nbsp;matrix,
                     int[]&nbsp;rowIndices,
                     int[]&nbsp;colIndices,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for any of the specified elements of <code>matrix</code>, and <code>false</code> 
 otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#anyBoolean(A, ch.javasoft.math.operator.BooleanUnaryOperator)">anyBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&nbsp;v,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for any element of vector <code>v</code>, and <code>false</code> otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#anyBoolean(A, int[], ch.javasoft.math.operator.BooleanUnaryOperator)">anyBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&nbsp;v,
                     int[]&nbsp;indices,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for any of the specified elements of vector <code>v</code>, and <code>false</code> 
 otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#anyBooleanInColumn(A[], int, ch.javasoft.math.operator.BooleanUnaryOperator)">anyBooleanInColumn</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>[]&nbsp;matrix,
                                     int&nbsp;col,
                                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for any column element <code>matrix[*][col]</code>, and <code>false</code> 
 otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#anyBooleanInDiagonal(A[], ch.javasoft.math.operator.BooleanUnaryOperator)">anyBooleanInDiagonal</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>[]&nbsp;matrix,
                                         <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for any element in the diagonal <code>matrix[i][i]</code> for 
 <code>0 &lt;= i &lt; min(#rows, #columns)</code>, and <code>false</code> otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#anyBooleanInRange(A[], int, int, int, int, ch.javasoft.math.operator.BooleanUnaryOperator)">anyBooleanInRange</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>[]&nbsp;matrix,
                                   int&nbsp;rowFrom,
                                   int&nbsp;rowTo,
                                   int&nbsp;colFrom,
                                   int&nbsp;colTo,
                                   <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for any element in the row/column range 
 <code>matrix[rowFrom : rowTo-1][colFrom : colTo-1]</code>, and <code>false</code> 
 otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#anyBooleanInRange(A, int, int, ch.javasoft.math.operator.BooleanUnaryOperator)">anyBooleanInRange</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&nbsp;v,
                                   int&nbsp;from,
                                   int&nbsp;to,
                                   <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for any element <code>v[from : to-1]</code> of vector <code>v</code>, and 
 <code>false</code> otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#anyBooleanInRow(A[], int, ch.javasoft.math.operator.BooleanUnaryOperator)">anyBooleanInRow</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>[]&nbsp;matrix,
                               int&nbsp;row,
                               <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if the the given operator evaluates to <code>true</code> 
 for any row element <code>matrix[row][*]</code>, and <code>false</code> otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#evalBoolean(A[], int, int, ch.javasoft.math.operator.BooleanUnaryOperator)">evalBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>[]&nbsp;matrix,
                       int&nbsp;row,
                       int&nbsp;col,
                       <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Applies the given operator to element <code>matrix[row][col]</code> and 
 returns the resulting boolean value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#evalBoolean(A, int, ch.javasoft.math.operator.BooleanUnaryOperator)">evalBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&nbsp;v,
                       int&nbsp;index,
                       <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Applies the given operator to vector element <code>v[index]</code> and returns 
 the resulting boolean value.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.array.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A> in <A HREF="../../../../../ch/javasoft/math/array/impl/package-summary.html">ch.javasoft.math.array.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/array/impl/package-summary.html">ch.javasoft.math.array.impl</A> with parameters of type <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#allBoolean(A[], ch.javasoft.math.operator.BooleanUnaryOperator)">allBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>[]&nbsp;matrix,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#allBoolean(A[], int[], int[], ch.javasoft.math.operator.BooleanUnaryOperator)">allBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>[]&nbsp;matrix,
                     int[]&nbsp;rowIndices,
                     int[]&nbsp;colIndices,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#allBoolean(A, ch.javasoft.math.operator.BooleanUnaryOperator)">allBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&nbsp;v,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#allBoolean(A, int[], ch.javasoft.math.operator.BooleanUnaryOperator)">allBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&nbsp;v,
                     int[]&nbsp;indices,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#allBooleanInColumn(A[], int, ch.javasoft.math.operator.BooleanUnaryOperator)">allBooleanInColumn</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>[]&nbsp;matrix,
                                     int&nbsp;col,
                                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#allBooleanInDiagonal(A[], ch.javasoft.math.operator.BooleanUnaryOperator)">allBooleanInDiagonal</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>[]&nbsp;matrix,
                                         <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#allBooleanInRange(A[], int, int, int, int, ch.javasoft.math.operator.BooleanUnaryOperator)">allBooleanInRange</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>[]&nbsp;matrix,
                                   int&nbsp;rowFrom,
                                   int&nbsp;rowTo,
                                   int&nbsp;colFrom,
                                   int&nbsp;colTo,
                                   <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#allBooleanInRange(A, int, int, ch.javasoft.math.operator.BooleanUnaryOperator)">allBooleanInRange</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&nbsp;v,
                                   int&nbsp;from,
                                   int&nbsp;to,
                                   <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#allBooleanInRow(A[], int, ch.javasoft.math.operator.BooleanUnaryOperator)">allBooleanInRow</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>[]&nbsp;matrix,
                               int&nbsp;row,
                               <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#anyBoolean(A[], ch.javasoft.math.operator.BooleanUnaryOperator)">anyBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>[]&nbsp;matrix,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#anyBoolean(A[], int[], int[], ch.javasoft.math.operator.BooleanUnaryOperator)">anyBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>[]&nbsp;matrix,
                     int[]&nbsp;rowIndices,
                     int[]&nbsp;colIndices,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#anyBoolean(A, ch.javasoft.math.operator.BooleanUnaryOperator)">anyBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&nbsp;v,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#anyBoolean(A, int[], ch.javasoft.math.operator.BooleanUnaryOperator)">anyBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&nbsp;v,
                     int[]&nbsp;indices,
                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#anyBooleanInColumn(A[], int, ch.javasoft.math.operator.BooleanUnaryOperator)">anyBooleanInColumn</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>[]&nbsp;matrix,
                                     int&nbsp;col,
                                     <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#anyBooleanInDiagonal(A[], ch.javasoft.math.operator.BooleanUnaryOperator)">anyBooleanInDiagonal</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>[]&nbsp;matrix,
                                         <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#anyBooleanInRange(A[], int, int, int, int, ch.javasoft.math.operator.BooleanUnaryOperator)">anyBooleanInRange</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>[]&nbsp;matrix,
                                   int&nbsp;rowFrom,
                                   int&nbsp;rowTo,
                                   int&nbsp;colFrom,
                                   int&nbsp;colTo,
                                   <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#anyBooleanInRange(A, int, int, ch.javasoft.math.operator.BooleanUnaryOperator)">anyBooleanInRange</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&nbsp;v,
                                   int&nbsp;from,
                                   int&nbsp;to,
                                   <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#anyBooleanInRow(A[], int, ch.javasoft.math.operator.BooleanUnaryOperator)">anyBooleanInRow</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>[]&nbsp;matrix,
                               int&nbsp;row,
                               <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#evalBoolean(A[], int, int, ch.javasoft.math.operator.BooleanUnaryOperator)">evalBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>[]&nbsp;matrix,
                       int&nbsp;row,
                       int&nbsp;col,
                       <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#evalBoolean(A, int, ch.javasoft.math.operator.BooleanUnaryOperator)">evalBoolean</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&nbsp;v,
                       int&nbsp;index,
                       <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.operator"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A> in <A HREF="../../../../../ch/javasoft/math/operator/package-summary.html">ch.javasoft.math.operator</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../ch/javasoft/math/operator/package-summary.html">ch.javasoft.math.operator</A> that implement <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/AbstractBooleanUnaryOperator.html" title="class in ch.javasoft.math.operator">AbstractBooleanUnaryOperator&lt;T,A&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>AbstractBooleanUnaryOperator</code> implements 
 <A HREF="../../../../../ch/javasoft/math/operator/AbstractBooleanUnaryOperator.html#operate(T)"><CODE>AbstractBooleanUnaryOperator.operate(Object)</CODE></A> and leaves the others methods to the concrete 
 subclasses</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.operator.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A> in <A HREF="../../../../../ch/javasoft/math/operator/impl/package-summary.html">ch.javasoft.math.operator.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/operator/impl/package-summary.html">ch.javasoft.math.operator.impl</A> that return <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B>BigIntegerOperators.</B><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#booleanUnary(ch.javasoft.math.operator.BooleanUnaryOperator.Id)">booleanUnary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanUnaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>,<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B>BigFractionOperators.</B><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigFractionOperators.html#booleanUnary(ch.javasoft.math.operator.BooleanUnaryOperator.Id)">booleanUnary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanUnaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>,double[]&gt;</CODE></FONT></TD>
<TD><CODE><B>DoubleOperators.</B><B><A HREF="../../../../../ch/javasoft/math/operator/impl/DoubleOperators.html#booleanUnary(ch.javasoft.math.operator.BooleanUnaryOperator.Id)">booleanUnary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanUnaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.varint.array"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A> in <A HREF="../../../../../ch/javasoft/math/varint/array/package-summary.html">ch.javasoft.math.varint.array</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/varint/array/package-summary.html">ch.javasoft.math.varint.array</A> that return <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>,<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B>VarIntOperators.</B><B><A HREF="../../../../../ch/javasoft/math/varint/array/VarIntOperators.html#booleanUnary(ch.javasoft.math.operator.BooleanUnaryOperator.Id)">booleanUnary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanUnaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/operator/class-use/BooleanUnaryOperator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BooleanUnaryOperator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
